<?php

$this->headTitle('Users');
?>

<h1>Manage Users</h1>

<p>
    <a class="btn btn-default" href="
    <?= $this->url('users', ['action' => 'add']); ?>">
        <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> New User
    </a>
</p>

<table class="table table-striped">

    <tr>
        <th>ID</th>
        <th>E-mail</th>
        <th>Full Name</th>
        <th>Actions</th>
    </tr>
    <?php
    foreach ($users as $user): ?>

        <tr>
            <td><?= $this->escapeHtml($user->getId()); ?></td>
            <td>
                <a href="<?= $this->url('users', ['action' => 'view', 'id' => $user->getId()]); ?>">
                    <?= $this->escapeHtml($user->getEmail()); ?>
                </a>
            </td>
            <td>
                <a><?= $this->escapeHtml($user->getFirstName()); ?> <?= $this->escapeHtml($user->getLastName()); ?></a>
            </td>
            <td>
                <a class="btn btn-info" href="<?= $this->url(
                    'users',
                    ['action' => 'edit', 'id' => $user->getId()]
                ); ?>">
                    <span class="glyphicon glyphicon-pencil"></span> Edit
                </a>
                <a class="btn btn-default" href="<?= $this->url(
                    'users',
                    ['action' => 'change-password', 'id' => $user->getId()]
                ); ?>">
                    <span class="glyphicon glyphicon-asterisk"></span> Change Password
                </a>
                <a class="btn btn-danger" href="<?= $this->url(
                    'users',
                    ['action' => 'delete', 'id' => $user->getId()]
                ); ?>">
                    <span class="glyphicon glyphicon-remove"></span> Delete
                </a>
            </td>
        </tr>

    <?php
    endforeach; ?>

</table>

